Subject: RE: bug#10135: 24.0.91; `special-display-regexps' is still not respected (again)

From: "Drew Adams" <[email-masked]>
Date: Mon, 28 Nov 2011 08:24:28 -0800

> > Feel free to close this bug or (IMO better) keep it open, perhaps as
> > a wishlist item.
> 
> The fact that it's not new doesn't change the fact that you dislike
> this behavior, so it's not a reason to close the bug.

Thanks.

> > Since the buffer displayed matches `special-display-regexps',
> > a special-display frame should be used.
> 
> As you know I use a similar setup to yours so I have gone through
> similar thoughts.  I haven't actually tried to make C-x 5 2 "obey"
> special-display-regexps, but if someone wants to try it, here are some
> things to consider:
> - The default behavior for special-display-* is to reuse any 
>   window that already displays the buffer, so in order to make
>   C-x 5 2 meaningful we'd clearly want to skip this part of the
>   usual special-display-* behavior.

But the only window that already displays the buffer is the _same_ window, and
the purpose of C-x 5 2 is to open a new frame.  Seems like the meaning of
special-display would prescribe respecting `special-display-alist' whenever a
special-display buffer is shown in a new frame.  I guess I don't understand why
any special treatment of "already displayed" would override that.

> - Maybe C-x 5 2 should be more like "clone frame" instead, i.e. don't
>   pay attention to special-display-* but instead try to reproduce the
>   existing frame (including dedicatedness of the window it displays).
>   This opens the question of what to do when the selected frame has
>   several windows, of course.

I would think that the only consideration would be the special-display-ness of
the buffer to be displayed.  If it is special-display, and if a new frame is
being created for it, then I would think that that frame should respect
`special-display-alist'.  What am I missing?